import java.util.Iterator;
import java.util.Vector;

public class Bookmarks {
	private Vector websites = new Vector();

	public void addBookmark(Website w) {
		websites.add(w);
	}
	
	public void deleteBookmark(String name) {
		Website toDelete = null;
		for (Iterator iter = websites.iterator(); iter.hasNext();) {
			Website w = (Website) iter.next();
			if (w.name.equals(name)) {
				toDelete = w;
				break;
			}
		}
		websites.remove(toDelete);
	}
	
	public String toString() {
		String s = "Your bookmarks:\n";
		for (Iterator iter = websites.iterator(); iter.hasNext();) {
			Website w = (Website) iter.next();
			s += w + "\n";
		}
		return s;
	}
	
	public static void main(String[] args) {
		// Do some operations
		Bookmarks b = new Bookmarks();
		
		Website w1 = new Website("Vernetzte Systeme", "http://dcg.ethz.ch/lectures/ss06/vs/", "the most important website :)");
		b.addBookmark(w1);
		
		Website w2 = new Website();
		w2.name = "Google";
		w2.url = "http://www.google.ch";
		w2.description = "the best search engine";
		b.addBookmark(w2);
		
		b.addBookmark(new Website("MSN", "http://www.msn.ch", "another best search engine"));
		
		System.out.println(b);
		
		b.deleteBookmark("MSN");
		
		System.out.println(b);
	}
}
