public class Fibonacci2 {
	public static void main(String[] args) {
		// declaration of variables
		int counter;
		int oldNumber = 0;
		int newNumber = 1;
		
		// parse counter value
		try {
			counter = Integer.parseInt(args[0]);
		} catch (NumberFormatException e) {
			System.out.println("Sorry, first argument must be a number");
			return;
		} catch (ArrayIndexOutOfBoundsException e) {
			System.out.println("Usage: java Fibonacci <number>");
			return;
		}
		System.out.println("Printing the first " + counter + " numbers:");
		
		// the first two Fibonacci Numbers are predefined
		System.out.println("1. Fibonacci Number: " + oldNumber);
		System.out.println("2. Fibonacci Number: " + newNumber);
		
		// generate the remaining numbers
		for (int i=3; i<=counter; i++) {
			int temp = oldNumber + newNumber;
			oldNumber = newNumber;
			newNumber = temp;
			System.out.println(i + ". Fibonacci Number: " + newNumber);
		}
	}
}
